Subject: Re: [PATCH] netem: account for packets in delayed queue in qlen

From: Patrick McHardy <[email-masked]>
Date: Fri, 22 Apr 2005 02:10:11 +0200

jamal wrote:
> Duplication of packets would be trivial to do with mirred mirror option
> attached to the qdisc.

The problem with duplication and queueing to the device is that
the packet needs to take the same classification-path as the
original packet to end up in the same leaf-queue. This can only
be guaranteed by restricting which classifiers can be used.

Regards
Patrick